<?php

/**
 * @inheritdoc Bohužel nová verze trochu upravila chování backendu.
 */
class Dalten_Export_Api_Backend_CeskerealityNew extends Dalten_Export_Api_Backend_Ceskereality
{
    protected function _handleResponse($response)
    {
        $responseLines = explode("\n", $response);
        if ($responseLines[0] == 'OK') {
            return new Dalten_Export_Api_ServerResponse(true);
        } else {
            return new Dalten_Export_Api_ServerResponse(false, 500, $response);
        }
    }

    protected function _jeOK($response)
    {
        // OK nově nemusí být na první řádce
        $lines = explode("\n", $response);
        return in_array('OK', $lines);
    }
}
